Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jndi
Interface WLContext

All Superinterfaces:
  Context

All Known Subinterfaces:
  TengahContext

public interface WLContext
extends Context

Interface for a WebLogic naming context. This extends `javax.naming.Context` with several WebLogic-specific environment properties, and methods for deleting one of several objects stored in a pool under one name.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `ALLOW_EXTERNAL_APP_LOOKUP` Specifies whether external clients or other applications are allowed to lookup bindings from an application version.
`static String` | `ALLOW_GLOBAL_RESOURCE_LOOKUP` Specifies whether versioned clients or applications are allowed to lookup bindings of global resources.
`static String` | `CREATE_INTERMEDIATE_CONTEXTS` Specifies how to handle non-existent intermediate contexts.
`static String` | `DELEGATE_ENVIRONMENT` Specifies the JNDI environment to use for connecting to a third-party naming service through the WebLogic Server.
`static String` | `ENABLE_DEFAULT_USER` On the Client side no default user would not be set.
`static String` | `ENABLE_SERVER_AFFINITY` Cluster-specific: Specifies if multiple context creation's from the same VM should reuse existing connections or round-robin across all servers in the cluster.
`static String` | `PIN_TO_PRIMARY_SERVER` Cluster-specific: If true, this property forces the context stub to connect to the primary naming server only (i.e., the server currently running at host specified by `Context.PROVIDER_URL`).
`static String` | `PROVIDER_RJVM` Specifies the RJVM to use as the naming server.
`static String` | `RELAX_VERSION_LOOKUP` Specifies the lookup behavior when bindings from the current application version cannot be found.
`static String` | `REPLICATE_BINDINGS` Cluster-specific: Specifies whether tree modifications are replicated and is only applicable when connecting to WebLogic Servers that are running in a cluster.
`static String` | `REQUEST_TIMEOUT` Forces lookup requests to timeout if the request doesn't get a response from the server within the timeout interval.
`static String` | `SSL_CLIENT_CERTIFICATE` Specifies an RSA private key and a chain of certificates for client authentication.
`static String` | `SSL_CLIENT_KEY_PASSWORD` Specifies the pasword for an encrypted PKCS5/PKCS8 RSA private key.
`static String` | `SSL_ROOT_CA_FINGERPRINTS` Specifies which certificate authorities to trust.
`static String` | `SSL_SERVER_NAME` Specifies an expected name of an SSL server as a String.

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Method Summary
`String` | `getNameInNamespace(String relativeName)` Returns the full name of a property, relative to the root of this namespace.
`void` | `unbind(Name name, Object service)` Unbinds the specified service from the specified name.
`void` | `unbind(String name, Object service)` Unbinds the specified service from the specified name.

Methods inherited from interface javax.naming.Context
`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Field Detail

### ALLOW_EXTERNAL_APP_LOOKUP

    public static final String ALLOW_EXTERNAL_APP_LOOKUP

  Specifies whether external clients or other applications are allowed to lookup bindings from an application version. The default value of the property is `false`. Users should exercise discretion when setting the property to `true`, as this may potentially cause in-flight work not being tracked properly and application versions to be retired prematurely.

  See Also:
    Constant Field Values

### ALLOW_GLOBAL_RESOURCE_LOOKUP

    public static final String ALLOW_GLOBAL_RESOURCE_LOOKUP

  Specifies whether versioned clients or applications are allowed to lookup bindings of global resources. The default value of the property is `false`. Users should exercise discretion when setting the property to `true`, and ensure that simultaneous access of the global resources are either tolerated or handled properly by the application.

  See Also:
    Constant Field Values

### CREATE_INTERMEDIATE_CONTEXTS

    public static final String CREATE_INTERMEDIATE_CONTEXTS

  Specifies how to handle non-existent intermediate contexts. If this property is true, performing a bind, rebind, or createSubcontext with a name that specifies non- existent intermediate contexts will cause those contexts to be created.

  See Also:
    Constant Field Values

### DELEGATE_ENVIRONMENT

    public static final String DELEGATE_ENVIRONMENT

  Specifies the JNDI environment to use for connecting to a third-party naming service through the WebLogic Server. When this property is specified, WLInitialContextFactory uses the WebLogic Server to create a three-tier connection to a third-party naming service. The properties contained in the Hashtable specified by this property are used to create an initial context for the third-party naming service, upon which the original initial context delegates its work to the third-party's initial context.

  See Also:
    Constant Field Values

### ENABLE_DEFAULT_USER

    public static final String ENABLE_DEFAULT_USER

  On the Client side no default user would not be set. To enable the previous behavior this property needs to be set either at the command line or through the InitialContext interface

  See Also:
    Constant Field Values

### ENABLE_SERVER_AFFINITY

    public static final String ENABLE_SERVER_AFFINITY

  Cluster-specific: Specifies if multiple context creation's from the same VM should reuse existing connections or round-robin across all servers in the cluster. By default, context creation's would round-robin across all servers in a cluster. This property takes affect only when a cluster url is specified. If a specific server url is used, context creation would always connect to that server.

  Understand the implications of this property before changing its default (false).

  See Also:
    Constant Field Values

### PIN_TO_PRIMARY_SERVER

    public static final String PIN_TO_PRIMARY_SERVER

  Cluster-specific: If true, this property forces the context stub to connect to the primary naming server only (i.e., the server currently running at host specified by `Context.PROVIDER_URL`). This disables fail-over for the context. By default this property is false.

  This setting should be used when a connection to a specific server is required. Note that this setting will only have the desired effect if `Context.PROVIDER_URL` specifes a host name that maps only to a single server address. It will not work, for example, if the host name maps to multiple server addresses in DNS.

  See Also:
    Constant Field Values

### PROVIDER_RJVM

    public static final String PROVIDER_RJVM

  Specifies the RJVM to use as the naming server. This can be used as an alternative to `Context.PROVIDER_URL`. Instead of a URL, this property must specify an RJVM representing the desired server.

  See Also:
    Constant Field Values

### RELAX_VERSION_LOOKUP

    public static final String RELAX_VERSION_LOOKUP

  Specifies the lookup behavior when bindings from the current application version cannot be found. If the property is set to `true`, the currently active version will be returned, if any. If the property is set to `false`, a `NameNotFoundException` will be returned. The default value of the property is `false`. Users should exercise discretion and ensure that components of different application versions are compatible when setting the property to `true`.

  See Also:
    Constant Field Values

### REPLICATE_BINDINGS

    public static final String REPLICATE_BINDINGS

  Cluster-specific: Specifies whether tree modifications are replicated and is only applicable when connecting to WebLogic Servers that are running in a cluster. By default, any modification to the naming tree is replicated across the cluster, which ensures that any server can act as a naming server for the entire cluster. Setting this property to false changes this behavior and should be done with extreme caution: a false setting means that modifications to the tree caused by bind, unbind, createSubcontext, and destroySubcontext will not be replicated.

  Understand the implications of this property before changing its default (true).

  See Also:
    Constant Field Values

### REQUEST_TIMEOUT

    public static final String REQUEST_TIMEOUT

  Forces lookup requests to timeout if the request doesn't get a response from the server within the timeout interval. The value is specified in milliseconds as a long. A value of 0 implies that requests never timeout. This property applies to the bootstrap request as well.

  See Also:
    Constant Field Values

### SSL_CLIENT_CERTIFICATE

    public static final String SSL_CLIENT_CERTIFICATE

  Specifies an RSA private key and a chain of certificates for client authentication. In a server, it can be set to the special string SERVER to refer to the server's private key and certificate chain. In general, it can be set to an array of InputStreams, the first element of which is a DER-encoded RSA private key, followed by DER-encoded X.509 certificates. All but the first certificate must be an issuer certificate of the preceding certificate.

  If your key and certificates are encoded using PEM, you can obtain the DER encoding using PEMInputStream.

  See Also:
    `PEMInputStream`, Constant Field Values

### SSL_CLIENT_KEY_PASSWORD

    public static final String SSL_CLIENT_KEY_PASSWORD

  Specifies the pasword for an encrypted PKCS5/PKCS8 RSA private key. Using an encrypted private key is optional.

  See Also:
    Constant Field Values

### SSL_ROOT_CA_FINGERPRINTS

    public static final String SSL_ROOT_CA_FINGERPRINTS

  Specifies which certificate authorities to trust. The value for this property should be a set of fingerprints (MD5) of the authorities' certificates encoded either as an array of byte arrays, or a comma-separated string of hex values. If specified, the SSL connection can only be established to a server that presents a certificate chain in which the fingerprint of the root matches one of the fingerprints specified by the value of this property.

  See Also:
    Constant Field Values

### SSL_SERVER_NAME

    public static final String SSL_SERVER_NAME

  Specifies an expected name of an SSL server as a String. It must match the common name field in the certificate presented by the server. This is typically also the WebLogic Server's DNS name, e.g., www.weblogic.com.

  See Also:
    Constant Field Values

Method Detail

### getNameInNamespace

    public String getNameInNamespace(String relativeName)
                              throws NamingException

  Returns the full name of a property, relative to the root of this namespace.

  Parameters:
    `relativeName` - Property name relative to this context
  Returns:
    Full name of property
  Throws:
    `NamingException` - if a failure occurs

### unbind

    public void unbind(Name name,
                       Object service)
                throws NamingException

  Unbinds the specified service from the specified name.

  Parameters:
    `name` - Name of service to unbind (as a Name object)
    `service` - Service object to be unbound
  Throws:
    `NamingException` - if the service is not available

### unbind

    public void unbind(String name,
                       Object service)
                throws NamingException

  Unbinds the specified service from the specified name.

  Parameters:
    `name` - Name of service to unbind (as a String)
    `service` - Service object to be unbound
  Throws:
    `NamingException` - if the service is not available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD